Package be.fgov.ehealth.aa.complextype.v1

# Class IndividualType

java.lang.Object
be.fgov.ehealth.aa.complextype.v1.IndividualType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `HealthCareProfessional`, `IndividualContactInformationType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class IndividualType extends Object implements Serializable
Identifier(s), name(s) and other informations of an individual person.

Java class for IndividualType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IndividualType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SSIN" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="LastName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="MiddleNames" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Language" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Gender" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="BirthDate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="DeathDate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndividualType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBirthDate()`
  Gets the value of the birthDate property.
  `String`
  `getDeathDate()`
  Gets the value of the deathDate property.
  `String`
  `getFirstName()`
  Gets the value of the firstName property.
  `String`
  `getGender()`
  Gets the value of the gender property.
  `String`
  `getLanguage()`
  Gets the value of the language property.
  `String`
  `getLastName()`
  Gets the value of the lastName property.
  `String`
  `getMiddleNames()`
  Gets the value of the middleNames property.
  `String`
  `getSSIN()`
  Gets the value of the ssin property.
  `void`
  `setBirthDate(String value)`
  Sets the value of the birthDate property.
  `void`
  `setDeathDate(String value)`
  Sets the value of the deathDate property.
  `void`
  `setFirstName(String value)`
  Sets the value of the firstName property.
  `void`
  `setGender(String value)`
  Sets the value of the gender property.
  `void`
  `setLanguage(String value)`
  Sets the value of the language property.
  `void`
  `setLastName(String value)`
  Sets the value of the lastName property.
  `void`
  `setMiddleNames(String value)`
  Sets the value of the middleNames property.
  `void`
  `setSSIN(String value)`
  Sets the value of the ssin property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IndividualType

    public IndividualType()

- ## Method Details

  - ### getSSIN

    public String getSSIN()
    Gets the value of the ssin property.
    Returns:
      possible object is `String`

  - ### setSSIN

    public void setSSIN(String value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLastName

    public String getLastName()
    Gets the value of the lastName property.
    Returns:
      possible object is `String`

  - ### setLastName

    public void setLastName(String value)
    Sets the value of the lastName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFirstName

    public String getFirstName()
    Gets the value of the firstName property.
    Returns:
      possible object is `String`

  - ### setFirstName

    public void setFirstName(String value)
    Sets the value of the firstName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMiddleNames

    public String getMiddleNames()
    Gets the value of the middleNames property.
    Returns:
      possible object is `String`

  - ### setMiddleNames

    public void setMiddleNames(String value)
    Sets the value of the middleNames property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLanguage

    public String getLanguage()
    Gets the value of the language property.
    Returns:
      possible object is `String`

  - ### setLanguage

    public void setLanguage(String value)
    Sets the value of the language property.
    Parameters:
      `value` - allowed object is `String`

  - ### getGender

    public String getGender()
    Gets the value of the gender property.
    Returns:
      possible object is `String`

  - ### setGender

    public void setGender(String value)
    Sets the value of the gender property.
    Parameters:
      `value` - allowed object is `String`

  - ### getBirthDate

    public String getBirthDate()
    Gets the value of the birthDate property.
    Returns:
      possible object is `String`

  - ### setBirthDate

    public void setBirthDate(String value)
    Sets the value of the birthDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDeathDate

    public String getDeathDate()
    Gets the value of the deathDate property.
    Returns:
      possible object is `String`

  - ### setDeathDate

    public void setDeathDate(String value)
    Sets the value of the deathDate property.
    Parameters:
      `value` - allowed object is `String`